Subject: Re: error opening /dev/tty1 on cygwin
From: Robert Collins <[email-masked]>
To: "Vishnu, Makkapati ""(IE10)" <[email-masked]>
Cc: [email-masked]
Date: 11 Sep 2001 21:40:00 +1000

On Tue, 2001-09-11 at 20:44, Vishnu, Makkapati (IE10) wrote:
> Hi,
> 
> I tried to open /dev/tty1 on cygwin and got an error. Here is my code:
> 
>          fd = open ( "/dev/tty1" , O_RDWR | O_NONBLOCK );
>          if (fd < 0)
>          {
>                  perror("io_rs232:: open");
>          }
> 
> I did not find the directory /dev on cygwin but ls -l /dev/tty1 works fine. 
> 
> > ls -l /dev/tty1
> crw-rw-rw-    1 Everyone Everyone   5,   1 Sep 11  2001 /dev/tty1
> 
> Can anyone provide me with a solution to this problem?

No.

Why not? I suggest you read
http://www.tuxedo.org/~esr/faqs/smart-questions.html.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/